﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="TownEditor.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Editor.TownEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter"><span><%= UI.Current.TownDetails%></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <tr class="<%=GetRegionCSSClass(Name)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="NameFieldView" InputToDisplayID="Name" />
                      </td>
                      <td class="control">
                        <UI:TextBox runat="server" ID="Name" Template-PropertyName="Name" ExtendedTemplate-HighlightOnFocus="true" />
                      </td>
                    </tr>
                    <tr class="<%=GetRegionCSSClass(CountyField)%>">
                      <td class="label">
                        <UI:FieldView runat="server" ID="CountyFieldView" InputToDisplayID="CountyField" />
                      </td>
                      <td class="control">
                        <UI:Lookup runat="server" ID="CountyLookup"
                        InnerControlVirtualPath="~/admin/Controls/Listing/CountyLookupListing.ascx">
                          <InputContainer>
                            <UI:AutoCompleteTextBox runat="server" ID="CountyField" ServiceKey="County"
                              Template-PropertyName="County" StringPropertyName="FullName"/>
                          </InputContainer>
                        </UI:Lookup>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
        <span class="obligatory-fields"><%=UI.Current.RequiredMessage%></span>
      </td>
    </tr>
  </tbody>
</table>
