﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AttributeListing.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Listing.AttributeListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
            <UI:ActionResultView runat="server" ID="CustomActionResult" />
        </td>
    </tr>
    <tr>
        <td>
            <Grid:AttributeGridView runat="server" ID="Grid" >
                <Columns>
                    <List:GridColumn Header="Name" PropertyName="Name" Width="43" />
                    <List:GridColumn Header="Description" PropertyName="Description" Width="43" />
                </Columns>
            </Grid:AttributeGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
                <label class="line-label">
                    <%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>
