﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SubscriptionCustomers.ascx.cs" 
Inherits="Core.Web.Admin.Controls.Listing.SubscriptionCustomers" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
           <UI:ActionResultView runat="server" ID="CustomActionResult" />
       </td>
    </tr>
    <tr>
        <td>
          <Grid:CustomerSubscriptionGridView runat="server" ID="Grid" OnDataRetriving="DataRetrivingHandler" ShowCheckBoxColumn="false">
            <Columns>
              <List:GridColumn Header="Subscriber" PropertyName="OwnerName" Width="68"/>
              <List:GridColumn Header="Text" PropertyName="ExpiryDate" Width="30"/>
            </Columns>
          </Grid:CustomerSubscriptionGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" />
            <span class="grid-area-filter-item">
                <label class="line-label"><%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>