﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="XMLSiteMapListing.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Listing.XMLSiteMapListing" %>
<%@ Import Namespace="Core.Web" %>
<table cellspacing="0" cellpadding="0" border="0" class="data-area">
  <tbody>
    <tr>
      <td>
        <table class="data" cellpadding="0" cellspacing="15" border="0">
          <tbody>
            <tr>
              <td>
                <Filter:FiltersArea runat="server" ID="Filters">
                  <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                  </Filters>
                </Filter:FiltersArea>
              </td>
            </tr>
            <tr>
              <td>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
              </td>
            </tr>
            <tr>
              <td>
                <Grid:XMLSiteMapGridView runat="server" ID="Grid" >
                  <Columns>
                    <List:GridColumn Header="Name" PropertyName="Name" Width="50" />
                    <List:GridColumn Header="Priority" PropertyName="Priority" Width="15" />
                    <List:GridColumn Header="Change Frequency" PropertyName="SitemapChangeFrequency.Name"
                      Width="30" />
                  </Columns>
                  <ActionColumns>
                    <List:DetailsActionColumn Width="3" CssClass="butt-edit png cursor-hand" InactiveCssClass="inactive-action-column" />
                  </ActionColumns>
                </Grid:XMLSiteMapGridView>
              </td>
            </tr>
            <tr>
              <td>
                <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
                  <label class="line-label">
                    <%=PageSize.FieldView%></label>
                  <List:PageSizeChanger runat="server" ID="PageSize"/>
                </span>
                <List:Paginator runat="server" ID="GridPaginator"/>
              </td>
            </tr>
          </tbody>
        </table>
      </td>
    </tr>
  </tbody>
</table>
