﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ReviewViewer.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Viewer.ReviewViewer" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.ReviewDetails %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form-value">
                                    <tbody>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="AuthorFieldView" InputToDisplayID="AuthorLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="AuthorLabel" runat="server" Template-PropertyName="Author" />
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="CreationDateFieldView" InputToDisplayID="CreationDateLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="CreationDateLabel" runat="server" Template-PropertyName="CreationDate" />
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="ProductFieldView" InputToDisplayID="ProductLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="ProductLabel" runat="server" Template-PropertyName="Product.Title" 
                                          Template-DisplayName="Product"/>
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="TextFieldView" InputToDisplayID="TextLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:WysiwygLabel ID="TextLabel" runat="server" Template-PropertyName="Text" />
                                        </td>
                                      </tr>
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
            </td>
        </tr>
    </tbody>
</table>
