﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ProductFileListingPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.ProductFilePages.ProductFileListingPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Listing/ProductFileListing.ascx" TagName="ProductFileListing" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/HorizontalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="VerticalToolbar" %>
<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="ProductFileListingUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <uc:Toolbar runat="server" ID="TopToolbar" ShouldUpdateVisibility="false" />
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>
                    <tr>
                        <td valign="top" class="data-area">
                            <uc:ProductFileListing ID="ProductFileListing" runat="server"></uc:ProductFileListing>
                        </td>
                        <td valign="top">
                            <uc:VerticalToolbar runat="server" ID="VerticalToolbar" />
                        </td>
                    </tr>
                </tbody>
            </table>
            <uc:Toolbar runat="server" ID="BottomToolbar" />
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
