﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AddImageFromLibrary.aspx.cs"
  Inherits="Core.Web.Admin.Pages.ProductImagePages.AddImageFromLibrary" MasterPageFile="~/Admin/CoreAdmin.Master"
  ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>
<%@ Register Src="~/Admin/Controls/MediaLibraryExplorer.ascx" TagPrefix="uc" TagName="Explorer" %>
<%@ Register TagPrefix="Tabs" Namespace="iFramework.Controls.Tabs" Assembly="iFramework.Controls" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
  <Ajax:UpdatePanel runat="server" ID="AddImagesFromLibraryUpdatePanel" UpdateMode="Conditional">
    <ContentTemplate>
      <div class="management-buttons flo">
        <uc:HelpButton ID="HelpButton" runat="server" />
        <h2 class="edit-header">
          <%=PageTitle%></h2>
      </div>
      <table width="100%" cellspacing="0" cellpadding="0" border="0">
        <tbody>
          <tr>
            <td width="100%" valign="top">
              <Tabs:TabContainer ID="TabContainer" runat="server">
                <Items>
                  <Tabs:TabItem runat="server" ID="MediaLibraryTab" Title="Media Library" Active="true">
                    <innercontent>
                      <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                       <tbody>
                          <tr>
                             <td>
                               <uc:Explorer runat="server" ID="MediaFiles" />
                             </td>
                          </tr>
                       </tbody>
                    </table>
                  </innercontent>
                  </Tabs:TabItem>
                </Items>
              </Tabs:TabContainer>
            </td>
            <td valign="top" class="tabs-box-column">
              <uc:Toolbar runat="server" ID="VerticalToolbar" />
            </td>
          </tr>
        </tbody>
      </table>
    </ContentTemplate>
  </Ajax:UpdatePanel>
</asp:Content>
