﻿<%@ Page Language="C#" MasterPageFile="~/Admin/CoreAdmin.Master" AutoEventWireup="true" CodeBehind="CommonSettings.aspx.cs" Inherits="Core.Web.Admin.Pages.Settings.CommonSettings" Title="Untitled Page" %>
<%@ Register TagPrefix="Tabs" Namespace="iFramework.Controls.Tabs" Assembly="iFramework.Controls" %>
<%@ Register Src="~/Admin/Controls/Settings/SmtpSettings.ascx" TagPrefix="uc" TagName="SmtpSettings" %>
<%@ Register Src="~/Admin/Controls/Settings/EmailsSettings.ascx" TagPrefix="uc" TagName="EmailsSettings" %>
<%@ Register Src="~/Admin/Controls/Settings/DomainSettings.ascx" TagPrefix="uc" TagName="DomainSettings" %>
<%@ Register Src="~/Admin/Controls/Settings/AnalyticsSettings.ascx" TagPrefix="uc" TagName="AnalyticsSettings" %>
<%@ Register Src="~/Admin/Controls/Settings/ImagesSettings.ascx" TagPrefix="uc" TagName="ImagesSettings" %>
<%@ Register Src="~/Admin/Controls/Settings/PhonesSettings.ascx" TagPrefix="uc" TagName="PhonesSettings" %>
<%@ Register Src="~/Admin/Controls/Settings/GeneralSettings.ascx" TagPrefix="uc" TagName="GeneralSettings" %>
<asp:Content ID="Content1" ContentPlaceHolderID="Content" runat="server">
  <Ajax:UpdatePanel runat="server" ID="EditorUpdatePanel" UpdateMode="Conditional">
    <ContentTemplate>
      <br />
      <Tabs:TabContainer runat="server" ID="SettingsTabMenu">
        <Items>          
           <Tabs:TabItem runat="server" ID="SmtpSettingsTab" Active="true">
            <innercontent>
              <uc:SmtpSettings runat="server" ID="SmtpSettings" />
            </innercontent>
          </Tabs:TabItem>
          <Tabs:TabItem runat="server" ID="EmailsSettingsTab" Active="true">
            <innercontent>
              <uc:EmailsSettings runat="server" ID="EmailsSettingsEditor" />
            </innercontent>
          </Tabs:TabItem>
          <Tabs:TabItem runat="server" ID="DomainSettingsTab">
            <innercontent>
              <uc:DomainSettings runat="server" ID="DomainSettingsEditor" />
            </innercontent>
          </Tabs:TabItem>
          <Tabs:TabItem runat="server" ID="AnalyticsSettingsTab">
            <innercontent>
              <uc:AnalyticsSettings runat="server" ID="AnalyticsSettingsEditor" />
            </innercontent>
          </Tabs:TabItem>
          <Tabs:TabItem runat="server" ID="ImagesSettingsTab">
            <innercontent>
              <uc:ImagesSettings runat="server" ID="ImagesSettingsEditor" />
            </innercontent>
          </Tabs:TabItem>
           <Tabs:TabItem runat="server" ID="PhonesSettingsTab">
            <innercontent>
              <uc:PhonesSettings runat="server" ID="PhonesSettingsEditor" />
            </innercontent>
          </Tabs:TabItem>
          <Tabs:TabItem runat="server" ID="ModeSettingsTab">
            <innercontent>
              <uc:GeneralSettings id="GeneralSettings" runat="server" />
            </innercontent>
          </Tabs:TabItem>
        </Items>
      </Tabs:TabContainer>
    </ContentTemplate>
  </Ajax:UpdatePanel>
</asp:Content>

