﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Admin/CoreAdmin.Master" AutoEventWireup="true" CodeBehind="SiteEditorPage.aspx.cs" Inherits="Core.Web.Admin.Pages.SitePages.SiteEditorPage" %>

<%@ Register Src="~/Admin/Controls/Editor/SiteEditor.ascx" TagName="SiteEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="ProductEditorUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="management-buttons flo">
                <uc:HelpButton ID="HelpButton" runat="server" />
                <h2 class="edit-header"><%=PageTitle%></h2>
            </div>
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>
                    <tr>
                        <td width="100%" valign="top">
                            <Tab:SiteTabContainer ID="TabContainer" runat="server">
                                <Items>
                                    <Tab:SiteTabItem runat="server" ID="DetailsTab" Active="true"
                                        ActiveForNewEntity="true">
                                        <innercontent>
                                        <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        <uc:SiteEditor ID="SiteEditor" runat="server" />
                                                    </td>
                                                </tr>
                                            </tbody> 
                                        </table> 
                                        </innercontent>
                                    </Tab:SiteTabItem>
                                </Items>
                            </Tab:SiteTabContainer>
                        </td>
                        <td valign="top" class="tabs-box-column">
                            <uc:Toolbar runat="server" ID="VerticalToolbar" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>