﻿<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="iFramework.BLL.Web"%>
<%@ Import Namespace="Core.Web"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AdvancedSearchControl.ascx.cs"
  Inherits="Core.Web.Controls.Layout.AdvancedSearchControl" %>
<%@ Register Assembly="Core.Web" Namespace="Core.Web.Controls.Common" TagPrefix="Custom" %> 
<Front:PopupValidationSummary runat="server" ID="PopupSummary" />   
<div class="FormRow">
  <dl>
    <dt>
      <label class="InputLine LabelSize-A">
        <%=UI.Current.AllWordsSearchDescription%></label>
    </dt>
    <dd>
      <span class="InputLine InputLineSize-A">
        <Custom:SearchAutoCompleteTextBox runat="server" ID="AllWordsTextBoxAutoComplete" ServiceKey="AllWords" 
        MinChar="3" Template-PropertyName="AllWords" ExtendedTemplate-HighlightOnFocus="true" RenderHighlightScript = "false"/>
      </span>
    </dd>
  </dl>
</div>
<div class="FormRow">
  <dl>
    <dt>
      <label class="InputLine LabelSize-A">
        <%=UI.Current.ExactPhraseSearchDescription%></span></label>
    </dt>
    <dd>
      <span class="InputLine InputLineSize-A">
      <UI:TextBox id="ExectPhraseTextBox" runat="server" />
      </span>
    </dd>
  </dl>
</div>
<div class="FormRow">
  <dl>
    <dt>
      <label class="InputLine LabelSize-A">
        <%=UI.Current.AtLeastOneWordSearchDescription%></label>
    </dt>
    <dd>
      <span class="InputLine InputLineSize-A">
        <Custom:SearchAutoCompleteTextBox runat="server" ID="LeastOneWordTextBoxAutoComplete" ServiceKey="LeastOneWord" 
          MinChar="3" Template-PropertyName="LeastOneWord" ExtendedTemplate-HighlightOnFocus="true" RenderHighlightScript = "false"/>
      </span>
    </dd>
  </dl>
</div>
<div class="FormRow">
  <dl>
    <dt>
      <label class="InputLine LabelSize-A">
        <%=UI.Current.WithoutWordSearchDescription%></label>
    </dt>
    <dd>
      <span class="InputLine InputLineSize-A">
        <UI:TextBox id="WithoutWordTextBox" runat="server" />
      </span>
    </dd>
  </dl>
</div>
<div class="FormRow">
  <dl>
    <dt>
      <label class="InputLine LabelSize-A">
        <%=UI.Current.SearchTargetDisplayName%></label>
    </dt>
    <dd>
      <span class="SelectLine">
        <UI:DropDownList runat="server" ID="SearchTypeSelector" />
      </span>
    </dd>
  </dl>
</div>
<asp:CustomValidator ID="KeywordsValidator" runat="server" Display="None" OnServerValidate="KeywordsValidatorValidate" />
