﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SupplierProducts.ascx.cs" Inherits="Core.Web.Controls.Products.SupplierProducts" %>

<%@ Import Namespace="iFramework.Core.Utilities" %>
<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="Core.DBO.Entity.Products" %>

<%@ Register Src="~/Controls/Products/DefaultProductsListing.ascx" TagPrefix="uc" TagName="DefaultProductsListing" %>

<%if (ProductsControl.HasProducts) { %>
  <uc:DefaultProductsListing runat="server" id="ProductsControl"></uc:DefaultProductsListing>
<%} else { %>
  <div class="Area">
    <div class="FormSection">
      <div style="padding: 10px 0px;">
        <%=UI.Current.NoProductsBySupplierMessage%>
      </div>
    </div>
  </div>
<%} %>