﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ManufacturerEditor.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Editor.ManufacturerEditor" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.ManufacturerDetails %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form">
                                    <tbody>
                                             <tr class="<%=GetRegionCSSClass(Title)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="Title" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="Title" Template-PropertyName="Title" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(UrlField)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="UrlFieldView" InputToDisplayID="UrlField" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="UrlField" Template-PropertyName="Url" ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>                                              
                                            <tr class="<%=GetRegionCSSClass(ContactName)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="ContactNameFieldView" InputToDisplayID="ContactName" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="ContactName" Template-PropertyName="ContactName" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(ContactPhone)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="ContactPhoneFieldView" InputToDisplayID="ContactPhone" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="ContactPhone" Template-PropertyName="ContactPhone" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(Email)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="EmailFieldView" InputToDisplayID="Email" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="Email" Template-PropertyName="Email" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                            <tr class="<%=GetRegionCSSClass(Notes)%>">
                                              <td class="label">
                                                <UI:FieldView runat="server" ID="NotesFieldView" InputToDisplayID="Notes" />
                                              </td>
                                              <td class="control">
                                                <UI:TextBox runat="server" ID="Notes" Template-PropertyName="Notes" 
                                                ExtendedTemplate-HighlightOnFocus="true" />
                                              </td>
                                            </tr>
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
                <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
            </td>
        </tr>
    </tbody>
</table>
