﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="FileUpload.ascx.cs" Inherits="Core.Web.Admin.Controls.FileUpload.FileUpload" %>

<%@ Import namespace="Core.Web"%>
<%@ Import namespace="Core.Web.Constants"%>

<%@ Register Src="~/Admin/Controls/FileUpload/FilesList.ascx" TagPrefix="uc" TagName="FilesList" %>

<FileUpload:SwfFileUpload runat="server" ID="Upload" 
  Options-ButtonWidth="60"
  Options-ButtonHeight="20"
  Options-ButtonLeftPadding="7"
  Options-ButtonTopPadding="2"
  IsSingle="true"  
/>

<div class="upload-button-area">
  <span id="<%=UploadButtonPlaceHolder%>"></span>
</div>
<span class="progressBar" id="<%=ProgressBarID%>"></span>
<div style="clear:both;overflow:hidden;height:0px;"></div>
<div class="uploaded-file-list" id="<%=ThumbnailsAreaID %>">
  <uc:FilesList runat="server" ID="Preview" />
</div>