﻿<%@ Import namespace="Core.Web.Constants"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SubscriptionViewer.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Viewer.SubscriptionViewer" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/Binding/Subscriptions/SubscriptionCategoriesViewer.ascx" 
TagName="SubscriptionCategories" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/Subscriptions/SubscriptionContentPagesViewer.ascx" 
TagName="SubscriptionContentPages" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/Subscriptions/SubscriptionProductsViewer.ascx" 
TagName="SubscriptionProducts" TagPrefix="uc" %>

<table cellspacing="15" cellpadding="0" border="0" class="data">
    <tbody>
        <tr>
            <td class="form1">
                <div class="error">
                    <UI:ValidationSummary runat="server" ID="Errors" />
                </div>
                <UI:ActionResultView runat="server" ID="CustomActionResult" />
                <fieldset>
                    <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
                        <Header>
                            <h3 class="delimiter"><span><%=UI.Current.SubscriptionDetails %></span></h3>
                        </Header>
                        <Body>
                            <div class="form-content">
                                <table class="line-form-value">
                                    <tbody>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="TitleFieldView" InputToDisplayID="TitleLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="TitleLabel" runat="server" Template-PropertyName="Title" />
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                          <UI:FieldView runat="server" ID="DescriptionFieldView" InputToDisplayID="DescriptionLabel" />
                                        </td>
                                        <td class="control-value">
                                          <UI:Label ID="DescriptionLabel" runat="server" Template-PropertyName="Description" />
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                            <UI:StaticLabel runat="server" ID="SubscriptionCategoriesLabel" Text="Categories:"/>
                                        </td>
                                        <td class="control-value">
                                           <uc:SubscriptionCategories ID="SubscriptionCategories" runat="server"/>
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                            <UI:StaticLabel runat="server" ID="SubscriptionContentPagesLabel" Text="Content Pages:"/>
                                        </td>
                                        <td class="control-value">
                                           <uc:SubscriptionContentPages ID="SubscriptionContentPages" runat="server"/>
                                        </td>
                                      </tr>
                                      <tr>
                                        <td class="label-value">
                                            <UI:StaticLabel runat="server" ID="SubscriptionProductsLabel" Text="Products:"/>
                                        </td>
                                        <td class="control-value">
                                           <uc:SubscriptionProducts ID="SubscriptionProducts" runat="server"/>
                                        </td>
                                      </tr>
                                    </tbody>
                                </table>
                            </div>
                        </Body>
                    </Control:CollapsableBox>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <uc:ButtonsPanel runat="server" ID="Buttons" />
            </td>
        </tr>
    </tbody>
</table>
