﻿<%@ Import Namespace="Core.DBO.Entity.Discount" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DiscountList.ascx.cs"
  Inherits="Core.Web.Controls.Basket.DiscountList" %>
<%@ Import Namespace="Core.Web.Constants.UI" %>
<%@ Import Namespace="Core.Web.Constants" %>
<%@ Import Namespace="iFramework.Core.Utilities" %>
<%@ Import Namespace="Core.Web" %>
<Front:PopupValidationSummary runat="server" ID="PopupSummary" SeeInContainers="true" />
<Front:PopupActionResult runat="server" ID="ActionResultView" />
<div class="FamilyData">
  <h2>
    <%=UI.Current.DiscountsListTitle%></h2>
  <div class="FormSection">
    <div class="FormRow">
      <dl>
        <dt>
          <UI:FieldView runat="server" ID="DiscountCodeFieldView" InputToDisplayID="DiscountCodeField"
            NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
        </dt>
        <dd>
          <div class="CombinedField">
            <span class="InputLine InputLineSize-E">
              <UI:TextBox runat="server" ID="DiscountCodeField" Template-IsRequired="true" />
            </span>
            <Front:SpanButton runat="server" OnClick="ApplyDiscountHandler" ID="ApplyButton"
              CssClass="InputButton InputButtonViewA" />
          </div>
        </dd>
      </dl>
    </div>
    <div class="RelOtions">
      <div class="TableData">
        <asp:Repeater runat="server" ID="Discounts">
          <HeaderTemplate>
            <table border="0" cellspacing="0" cellpadding="0" style="border-bottom:none;">
              <colgroup class="Num1" span="1">
                <col class="Num1" />
              </colgroup>
              <colgroup class="Num1" span="1">
                <col class="Num1" />
              </colgroup>
              <colgroup class="Num2" span="1">
                <col class="Num2" />
              </colgroup>
          </HeaderTemplate>
          <ItemTemplate>
            <tr>
              <td>
                <%#TextUtility.FormatText(Eval("Code") as String)%>
              </td>
              <td>
                <%#FormatDiscountAmount(Container.DataItem as DiscountCode)%>
              </td>
              <td>
                <a class="Do doDel" href="javascript:void(0);" onclick="<%#GetPostBackEventReference(String.Format(Actions.Current.DeleteItemTemplate, Container.ItemIndex))%>">
                  <img src="<%#Global.ApplicationPath%>Files/images/Button.inTable.Delete.gif" alt=""
                    width="9" height="9" /></a>
              </td>
            </tr>
          </ItemTemplate>
          <FooterTemplate>
            </table>
          </FooterTemplate>
        </asp:Repeater>
      </div>
    </div>
  </div>
</div>
