﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="WishListRepeater.ascx.cs" Inherits="Core.Web.Controls.Customers.WishListRepeater" %>
<%@ Import Namespace="Core.DBO.Entity.WishList"%>
<%@ Import Namespace="Core.Web.Constants"%>

<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="iFramework.Core.Utilities" %>
<%@ Import Namespace="Core.DBO.Entity.Products" %>

<Front:PopupActionResult runat="server" ID="ActionResultView" TopPosition="50" />

<asp:Repeater runat="server" ID="Items" OnItemDataBound="ItemDataBoundHandler">
  <ItemTemplate>
    <div class="Product">
      <dl class="PreView">
        <dt class="Image">
          <a runat="server" id="ImageLink">
            <img runat="server" id="Image" />
          </a>
        </dt>
        <dd class="Desc">
          <div class="delete"><a class="removeReview" href="javascript:void(0);" onclick="<%#GetPostBackEventReference(String.Format(Actions.Current.DeleteItemTemplate, Eval(WishItem.PWishItemID)))%>"><%= UI.Current.Remove%></a></div>
          <h3>
            <a runat="server" id="TitleLink" />
          </h3>
          <p runat="server" id="Summary" />
          <div class="Options">
            <ul>
              <li>
                <div class="Do doBuy" runat="server" id="BuyArea"><a runat="server" id="BuyLink"></a></div>
              </li>            
              <li>
                <div class="Price" runat="server" id="Price" />
              </li>                              
            </ul>
          </div>
        </dd>
      </dl>
    </div>
  </ItemTemplate>
</asp:Repeater>