﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SubscriptionDetails.ascx.cs" Inherits="Core.Web.Controls.Subscriptions.SubscriptionDetails" %>

<%@ Import Namespace="Core.Web.Constants.UI"%>

<div class="BottomSection">
	<div class="TabPool">
		<div class="TabPanel">
			<ul>
			  <%if (!String.IsNullOrEmpty(CurrentProduct.Description)) {%>
				  <li class="current"><a href="#description"><span><%=UI.Current.ProductDescription%></span></a></li>
				<%}%>
			</ul>
		</div>
		<div class="TabContent">
		  <%if (!String.IsNullOrEmpty(CurrentProduct.Description)) {%>
			  <div class="Desc" id="description">
				  <div class="MainInfo wysiwyg">
            <%=CurrentProduct.Description%>
				  </div>
			  </div>
			<%}%>
      <div style="height: 10px;"></div>
		</div>											
	</div>
</div>

<script type="text/javascript">

  $(function() {
    $('.TabPanel').idTabs(function(id, list, tabSet){
      $('li', tabSet).removeClass('current');
      $(String.format('li:has(a[@href=\'{0}\'])', id), tabSet).addClass('current');
      for(i in list) {
        $(list[i]).hide(); 
      }
      $(id).show();
    });
  });

</script>