﻿DECLARE @cmd nvarchar(max)

-- Create login
IF( SUSER_SID($(dbUser)) is null )
BEGIN
    print '-- Creating login ' + $(dbUser)
    SET @cmd = N'CREATE LOGIN ' + quotename($(dbUser)) + N' WITH PASSWORD ='''+ replace($(dbPassword), '''', '''''') + N''''
    EXEC(@cmd)
END

-- Create database user and map to login
-- and add user to the datareader, datawriter, ddladmin and securityadmin roles
--
SET @cmd = N'USE ' + quotename($(dbName)) + N';

IF( NOT EXISTS (SELECT * FROM sys.database_principals WHERE name = ''' + replace($(dbUser), '''', '''''') + N'''))
BEGIN
    print ''-- Creating user ' + replace($(dbUser), '''', '''''') + N''';
    CREATE USER ' + quotename($(dbUser)) + N' FOR LOGIN ' + quotename($(dbUser)) + N';
    print ''-- Adding user ' + replace($(dbUser), '''', '''''') + N' with role db_owner for database ' + quotename($(dbName)) + ''';
    EXEC sp_addrolemember ''db_owner'', ''' + replace($(dbUser), '''', '''''') + N''';
END;'

--PRINT @cmd
EXEC(@cmd)